Add a storage bucket
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/buckets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"accessKey": "<string>",
"secretKey": "<string>",
"endpoint": "<string>",
"bucket": "<string>",
"region": "<string>",
"checkConnectivityPrefix": "<string>"
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/buckets"
payload = {
"accessKey": "<string>",
"secretKey": "<string>",
"endpoint": "<string>",
"bucket": "<string>",
"region": "<string>",
"checkConnectivityPrefix": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessKey: '<string>',
secretKey: '<string>',
endpoint: '<string>',
bucket: '<string>',
region: '<string>',
checkConnectivityPrefix: '<string>'
})
};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/buckets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 123,
"error": "<string>"
}Add a storage bucket
Add a storage bucket.
POST
/
api
/
organizations
/
{organizationId}
/
buckets
Add a storage bucket
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Body
application/json
Access key for the storage service (e.g., S3 access key, GCS access key)
Secret key for the storage service (e.g., S3 secret key, GCS secret key)
Endpoint URL for the storage service (e.g., S3 endpoint, custom endpoint for other services)
Name of the storage bucket
Region of the storage service (if applicable)
Set this if you don't have access to the root of this bucket. Only used to verify connectivity to this bucket.
The type of storage provider. Defaults to 's3' if not specified.
Available options:
s3, google, azure, other, edgeimpulse Was this page helpful?
⌘I